gtkmm: Gtk::CellRendererToggle Class Reference

gtkmm 2.24.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Related Functions

# Gtk::CellRendererToggle Class Reference
TreeView Classes

Renders a toggle button in a cell. More...

Inheritance diagram for Gtk::CellRendererToggle:
[legend]
Collaboration diagram for Gtk::CellRendererToggle:
[legend]

List of all members.

## Public Member Functions
virtual | ~CellRendererToggle ()
GtkCellRendererToggle* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkCellRendererToggle* | gobj () const
| Provides access to the underlying C GtkObject.
| CellRendererToggle ()
bool | get_radio () const
| Returns whether we're rendering radio toggles rather than checkboxes.
void | set_radio (bool radio=true)
| If radio is `true`, the cell renderer renders a radio toggle (i.e. a toggle in a group of mutually-exclusive toggles).
bool | get_active () const
| Returns whether the cell renderer is active.
void | set_active (bool setting=true)
| Activates or deactivates a cell renderer.
bool | get_activatable () const
| Returns whether the cell renderer is activatable.
void | set_activatable (bool setting=true)
| Makes the cell renderer activatable.
Glib::SignalProxy1< void, const Glib::ustring& > | signal_toggled ()
| The toggled signal is emitted when the cell is toggled.
Glib::PropertyProxy< bool > | property_activatable ()
| The toggle button can be activated.
Glib::PropertyProxy_ReadOnly < bool > | property_activatable () const
| The toggle button can be activated.
Glib::PropertyProxy< bool > | property_active ()
| The toggle state of the button.
Glib::PropertyProxy_ReadOnly < bool > | property_active () const
| The toggle state of the button.
Glib::PropertyProxy< bool > | property_inconsistent ()
| The inconsistent state of the button.
Glib::PropertyProxy_ReadOnly < bool > | property_inconsistent () const
| The inconsistent state of the button.
Glib::PropertyProxy< bool > | property_radio ()
| Draw the toggle button as a radio button.
Glib::PropertyProxy_ReadOnly < bool > | property_radio () const
| Draw the toggle button as a radio button.
Glib::PropertyProxy< int > | property_indicator_size ()
| Size of check or radio indicator.
Glib::PropertyProxy_ReadOnly< int > | property_indicator_size () const
| Size of check or radio indicator.
## Protected Member Functions
virtual void | on_toggled (const Glib::ustring& path)
## Related Functions
(Note that these are not member functions.)
Gtk::CellRendererToggle* | wrap (GtkCellRendererToggle* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Renders a toggle button in a cell.

The button is drawn as a radio- or checkbutton, depending on the radio property. When activated, it emits the toggled signal.

## Constructor & Destructor Documentation

virtual Gtk::CellRendererToggle::~CellRendererToggle | ( |  | ) | `[virtual]`

Gtk::CellRendererToggle::CellRendererToggle | ( |  | ) |

## Member Function Documentation

bool Gtk::CellRendererToggle::get_activatable | ( |  | ) | const

Returns whether the cell renderer is activatable.

See set_activatable().

Since gtkmm 2.18:

Returns:
  `true` if the cell renderer is activatable.

bool Gtk::CellRendererToggle::get_active | ( |  | ) | const

Returns whether the cell renderer is active.

See set_active().

Returns:
  `true` if the cell renderer is active.

bool Gtk::CellRendererToggle::get_radio | ( |  | ) | const

Returns whether we're rendering radio toggles rather than checkboxes.

Returns:
  `true` if we're rendering radio toggles rather than checkboxes.

GtkCellRendererToggle* Gtk::CellRendererToggle::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::CellRenderer.

const GtkCellRendererToggle* Gtk::CellRendererToggle::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::CellRenderer.

virtual void Gtk::CellRendererToggle::on_toggled | ( | const Glib::ustring & | path | ) | `[protected, virtual]`

Glib::PropertyProxy<bool> Gtk::CellRendererToggle::property_activatable | ( |  | ) |

The toggle button can be activated.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::CellRendererToggle::property_activatable | ( |  | ) | const

The toggle button can be activated.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::CellRendererToggle::property_active | ( |  | ) |

The toggle state of the button.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::CellRendererToggle::property_active | ( |  | ) | const

The toggle state of the button.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::CellRendererToggle::property_inconsistent | ( |  | ) |

The inconsistent state of the button.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::CellRendererToggle::property_inconsistent | ( |  | ) | const

The inconsistent state of the button.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gtk::CellRendererToggle::property_indicator_size | ( |  | ) |

Size of check or radio indicator.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gtk::CellRendererToggle::property_indicator_size | ( |  | ) | const

Size of check or radio indicator.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::CellRendererToggle::property_radio | ( |  | ) |

Draw the toggle button as a radio button.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::CellRendererToggle::property_radio | ( |  | ) | const

Draw the toggle button as a radio button.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gtk::CellRendererToggle::set_activatable | ( | bool | setting = `true` | ) |

Makes the cell renderer activatable.

Since gtkmm 2.18:

Parameters:

  setting | The value to set.

void Gtk::CellRendererToggle::set_active | ( | bool | setting = `true` | ) |

Activates or deactivates a cell renderer.

Parameters:

  setting | The value to set.

void Gtk::CellRendererToggle::set_radio | ( | bool | radio = `true` | ) |

If radio is `true`, the cell renderer renders a radio toggle (i.e. a toggle in a group of mutually-exclusive toggles).

If `false`, it renders a check toggle (a standalone boolean option). This can be set globally for the cell renderer, or changed just before rendering each cell in the model (for Gtk::TreeView, you set up a per-row setting using Gtk::TreeViewColumn to associate model columns with cell renderer properties).

Parameters:

  radio | `true` to make the toggle look like a radio button.

Glib::SignalProxy1< void,const Glib::ustring& > Gtk::CellRendererToggle::signal_toggled | ( |  | ) |

The toggled signal is emitted when the cell is toggled.

Parameters:

  path | string representation of TreePath describing the event location

Prototype:
  `void on_my_toggled(const Glib::ustring& path)`

## Friends And Related Function Documentation

Gtk::CellRendererToggle* wrap | ( | GtkCellRendererToggle * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/cellrenderertoggle.h